define("de_epages/amazonpayments/paymentbutton", [
  "jquery",
], function ($) {
  $.ready(function() {
    var buttonData =$("#payWithAmazonDiv").data(),
      merchantId = buttonData.merchantid;

    new OffAmazonPayments.Widgets.Button({
      sellerId: merchantId,
      onSignIn: function(orderReference) {
        ep("body").busy("show");
        $("#AmazonSignInForm [name='AmazonRefId']").val(orderReference.getAmazonOrderReferenceId());
        $("#AmazonSignInForm").submit();
      },
      onError: function(error) {
        var xmlHttp = new XMLHttpRequest();
        xmlHttp.open("POST", "?ObjectID=1&ViewAction=JSONLogClientError", true);
        xmlHttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
        xmlHttp.send("ErrorLocation=AmazonPaymentsButton" +
            "&ErrorMessage=" + escape(error.getErrorMessage() + "(" + error.getErrorCode() + ")") +
            "&Location=" + escape(document.location.href) +
            "&Referrer=" + escape(document.referrer)
        );
      }
    }).bind("payWithAmazonDiv");
  });
});