/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["epages.data.ForestStoreModel"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["epages.data.ForestStoreModel"] = true;
dojo.provide("epages.data.ForestStoreModel");

dojo.require("dijit.tree.ForestStoreModel");

dojo.declare("epages.data.ForestStoreModel", dijit.tree.ForestStoreModel, {
	queryOptions: null,

	// =======================================================================
	// Events from data store
	applyQuery: function(/*Object*/query,/*Object?*/queryOptions,/*Object?*/sort){
		this.store.fetch({
			query: query || this.query,
			sort: sort || this.sort,
			queryOptions: queryOptions || this.queryOptions,
			onComplete: dojo.hitch(this, function(newChildren){
				this.root.children = newChildren;
				this.onChildrenChange(this.root, newChildren);
			})
		});
	}
});

}
